package nft.point;

import common.Constant;
import common.Resp;
import config.Config;
import exception.ZXChainException;
import util.HttpUtil;
import util.Tools;
import util.ZxlSDKUtil;

public class QueryDestoryResult {
    String platformPubKey;
    String taskId;

    public QueryDestoryResult() {
    }

    public QueryDestoryResult(String taskId) {
        this.taskId = taskId;
    }

    public DestroyResult queryDestoryResult() throws Exception {
        // todo 参数校验
        this.setPlatformPubKey(Config.platformPubKey);
        Resp resp = HttpUtil.apiGetJsonX(Config.baseUrl + "/api/v1/nft/point/destroy/result", Tools.getJson(this), ZxlSDKUtil.generateApiSign());
        if (resp.getRetCode() != Constant.ZXL_OK) {
            throw new ZXChainException(resp.getRetMsg());
        }

        return resp.getData(DestroyResult.class);
    }

    public String getPlatformPubKey() {
        return platformPubKey;
    }

    public void setPlatformPubKey(String platformPubKey) {
        this.platformPubKey = platformPubKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
